/* ************************************************************************** */
/* *************************** list of messages ***************************** */
/* ************************************************************************** */

#define BLOCK_LIST_C
	#include "message_list_inc.h"
#undef BLOCK_LIST_C

/* callback function after creating message in list */
void message_list_Create_Callback(message_data *Item)
{
	Item->mlength = 0;
	Item->mtext = NULL;
}

/* callback function before deleting message from list */
void message_list_Delete_Callback(message_data *Item)
{
	if ( Item->mtext != NULL )
	{
		free(Item->mtext);
		Item->mtext = NULL;
		Item->mlength = 0;
	}
}
